# Concept MutableRandomAccessIteratorConcept
A random access iterator whose dereferenced values can be assigned.

Extends | RandomAccessIteratorConcept
All Extended | BidirectionalIteratorConcept, CopyConstructibleConcept, DefaultConstructibleConcept, EqualityComparableConcept, ForwardIteratorConcept, InputIteratorConcept, IteratorAssociatedTypesConcept, LessThanComparableConcept, RandomAccessIteratorConcept
Defined in | <seqan/basic.h>
Signature | `MutableRandomAccessIteratorConcept<T>`

## Member Function Overview

### Member Functions Inherited From EqualityComparableConcept

- `operator!=`
- `operator==`

### Member Functions Inherited From LessThanComparableConcept

- `operator<`

### Member Functions Inherited From RandomAccessIteratorConcept

- `operator[]`

## Interface Function Overview

### Interface Functions Inherited From BidirectionalIteratorConcept

- `goPrevious`
- `operator--(prefix)`
- `operator--(suffix)`

### Interface Functions Inherited From InputIteratorConcept

- `goNext`
- `operator++(prefix)`
- `operator++(suffix)`
- `operator->`

### Interface Functions Inherited From IteratorAssociatedTypesConcept

- `getValue`
- `operator*`
- `value`

### Interface Functions Inherited From RandomAccessIteratorConcept

- `atNil`
- `difference`
- `goFurther`
- `goNil`
- `operator+`
- `operator+=`
- `operator-=`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From IteratorAssociatedTypesConcept

- `Difference`
- `GetValue`
- `Pointer`
- `Reference`
- `Value`

### Interface Metafunctions Inherited From RandomAccessIteratorConcept

- `Difference`

#### Dox Sources

    /*!
     * @concept MutableRandomAccessIteratorConcept
     *
     * @headerfile <seqan/basic.h>
     *
     * @extends RandomAccessIteratorConcept
     *
     * @brief A random access iterator whose dereferenced values can be assigned.
     *
     * @signature MutableRandomAccessIteratorConcept<T>
     */